**Source URL:** https://limited.veevavault.dev/medical/vault-api/api-reference/23.1/document-lifecycle-workflows/document-binder-user-actions/initiate-user-action.md

# Initiate User Action



Initiate a user action. Before initiating, you should retrieve any applicable [entry criteria](/vault-api/api-reference/23.1/document-lifecycle-workflows/document-binder-user-actions/retrieve-entry-criteria) for the action.

Only some user action types can be initiated through the API. See [supported user actions](/vault-api/api-reference/23.1/document-lifecycle-workflows/document-binder-user-actions).

The authenticated user must have permission to initiate this action. To check permissions, [Retrieve User Actions](/vault-api/api-reference/23.1/document-lifecycle-workflows/document-binder-user-actions/retrieve-user-actions) and check for actions where `executable__v` is `true`.

<Endpoint path="/api/{version}/objects/{documents_or_binders}/{id}/versions/{major_version}/{minor_version}/lifecycle_actions/{name__v}" method="PUT"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Content-Type` | `application/x-www-form-urlencoded` |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `{documents_or_binders}` | Choose to initiate an action on `documents` or `binders`. |
| `{id}` | The document or binder `id` field value on which to initiate the user action. |
| `{major_version}` | The major version number of the document or binder. |
| `{minor_version}` | The minor version number of the document or binder. |
| `{name__v}` | The action `name__v` field value to initiate. Retrieve this value from [Retrieve User Action](/vault-api/api-reference/23.1/document-lifecycle-workflows/document-binder-user-actions/retrieve-user-actions). |
</FieldTable>

## Request Details: Start Legacy Workflow {#request-details-start-legacy-workflow}

This request is initiating a `start_approval__c` workflow. [Retrieving the entry criteria](/vault-api/api-reference/23.1/document-lifecycle-workflows/document-binder-user-actions/retrieve-entry-criteria) told us what fields we need to add to initiate this action, and that the `scope` is `WorkflowActivation`. This scope means we can add the required entry criteria fields as name-value pairs in the body of this request.

* `user_control_multiple__c=user%3A10001400` is an `ObjectReference` to a `User`.

* `date_control__c=2019-10-31` is a `Date`.

## Request Details: Change State {#request-details-change-state}

This request is initiating the `approve__c` user action, which changes the state of the document to *Approved*. [Retrieving the entry criteria](/vault-api/api-reference/23.1/document-lifecycle-workflows/document-binder-user-actions/retrieve-entry-criteria) told us what fields we need to add or update to initiate this action, and that the `scope` is `Document`. This scope means the required entry criteria must be set on the document prior to this request, so there are no additional parameters to add to this initiate request.

## Request : Start Legacy Workflow {#request--start-legacy-workflow}

<CodeExample title="">
```
curl -X PUT -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/x-www-form-urlencoded" \
-d 'user_control_multiple__c=user%3A10001400&date_control__c=2019-10-31'\
https://myvault.veevavault.com/api/v19.3/objects/documents/17/versions/0/1/lifecycle_actions/start_approval__c



```
</CodeExample>

## Response : Start Legacy Workflow {#response--start-legacy-workflow}

<CodeExample title="">
```
{
   "responseStatus": "SUCCESS",
   "id": 17,
   "workflow_id__v": "401"
}

```
</CodeExample>

## Request : Change State {#request--change-state}

<CodeExample title="">
```
curl -X PUT -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v19.3/objects/documents/17/versions/0/1/lifecycle_actions/approve__vs

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
   "responseStatus": "SUCCESS",
   "id": 17
}

```
</CodeExample>

---

**Previous:** [Retrieve Entry Criteria](/medical/vault-api/api-reference/23.1/document-lifecycle-workflows/document-binder-user-actions/retrieve-entry-criteria)  
**Next:** [Download Controlled Copy Job Results](/medical/vault-api/api-reference/23.1/document-lifecycle-workflows/document-binder-user-actions/download-controlled-copy-job-results)